Bug 819368 - quota: list command does not display the "size" field
quota: list command does not display the "size" field
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
pre-release
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-07 00:38 EDT by Saurabh
Modified: 2016-01-19 01:09 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-05-07 00:38:00 EDT
Description of problem:

After creating the data the quota list command is supposed to display the amount of size occupied by the data that just got created.

But here it does not.

Version-Release number of selected component (if applicable):
3.3.0qa39 

How reproducible:
always

Steps to Reproduce:
1. create a dist-rep(2x2) volume
2. put some quota limit on the volume
3. create data inside volume
4. now execute the quota list command
  
Actual results:
the list command fails to display the information

Expected results:
As discussed in the Description part


Additional info:
Comment 1 Saurabh 2012-05-07 02:01:46 EDT
sosreport can be accessed from nfs share at 10.16.156.3:/opt/qa/sosreport/bug819368
Comment 2 Saurabh 2012-05-08 09:49:07 EDT
This still does not work for directories,

[root@RHS-71 ~]# glusterfs -V
glusterfs 3.3.0qa40 built on May  7 2012 01:15:04
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@RHS-71 ~]# 


[root@QA-31 d0]# pwd
/mnt/quota_fuse.1336480203/d0
[root@QA-31 d0]# ps -eaf | grep glu
root     21503     1 66 09:37 ?        00:11:28 /root/330/inst/sbin/glusterfs --volfile-id=dist-rep --volfile-server=172.17.251.73 /mnt/quota_fuse.1336480203/
root     27659  5293  0 09:54 pts/0    00:00:00 grep glu
[root@QA-31 d0]# ls | wc -l
20
[root@QA-31 d0]# 
[root@QA-31 d0]# pwd
/mnt/quota_fuse.1336480203/d0
[root@QA-31 d0]# 



[root@RHS-71 ~]# gluster volume quota quota_dist_rep list
	path		  limit_set	     size
----------------------------------------------------------------------------------
/d0                       500MB
/d1                       500MB
/d2                       200MB
[root@RHS-71 ~]# 
[root@RHS-71 ~]# 
[root@RHS-71 ~]#
Comment 3 Saurabh 2012-05-08 10:16:35 EDT
please ignore my earlier message, the bug definitely was there in qa39 not on qa40
Comment 4 Saurabh 2012-05-10 08:39:55 EDT
didn't see this happening on qa40, hence moving it to verified

Note You need to log in before you can comment on or make changes to this bug.